<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>channel</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<h1 class="toc">Module channel</h1>
<hr />
  <h2 class="toc">Classes</h2>
    <a target="mainFrame" href="googleapiclient.channel.Channel-class.html"
     >Channel</a><br />    <a target="mainFrame" href="googleapiclient.channel.Notification-class.html"
     >Notification</a><br />  <h2 class="toc">Functions</h2>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.channel-module.html#_upper_header_keys"
     >_upper_header_keys</a><br />  </div>
    <a target="mainFrame" href="googleapiclient.channel-module.html#new_webhook_channel"
     >new_webhook_channel</a><br />    <a target="mainFrame" href="googleapiclient.channel-module.html#notification_from_headers"
     >notification_from_headers</a><br />  <h2 class="toc">Variables</h2>
    <a target="mainFrame" href="googleapiclient.channel-module.html#CHANNEL_PARAMS"
     >CHANNEL_PARAMS</a><br />    <a target="mainFrame" href="googleapiclient.channel-module.html#EPOCH"
     >EPOCH</a><br />    <a target="mainFrame" href="googleapiclient.channel-module.html#X_GOOG_CHANNEL_ID"
     >X_GOOG_CHANNEL_ID</a><br />    <a target="mainFrame" href="googleapiclient.channel-module.html#X_GOOG_MESSAGE_NUMBER"
     >X_GOOG_MESSAGE_NUMBER</a><br />    <a target="mainFrame" href="googleapiclient.channel-module.html#X_GOOG_RESOURCE_ID"
     >X_GOOG_RESOURCE_ID</a><br />    <a target="mainFrame" href="googleapiclient.channel-module.html#X_GOOG_RESOURCE_STATE"
     >X_GOOG_RESOURCE_STATE</a><br />    <a target="mainFrame" href="googleapiclient.channel-module.html#X_GOOG_RESOURCE_URI"
     >X_GOOG_RESOURCE_URI</a><br />    <a target="mainFrame" href="googleapiclient.channel-module.html#__package__"
     >__package__</a><br /><hr />
<span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
